@import URL("style.css");
@import URL("lejemaal.css");
@import URL("kontakt.css");
@import URL("lightbox.min.css");
@import URL("https://use.fontawesome.com/releases/v5.7.0/css/all.css");
@import URL("information.css");
@import URL("om.css");

/* CSS Variables */

:root {
    --primary: rgb(240, 240, 240);
    --dark: #333;
    --light: #fff;
    --shadow: 0 1px 5px rgba(104, 104, 104, 0.8);
    --blue: rgb(10, 8, 63);
    --green: rgb(163, 219, 72); 
    --darkgreen: rgb(151, 212, 52); 
  }

html {
    /* box-sizing: border-box; */
    font-family: Arial, Helvetica, sans-serif;
    color: var(--dark);
    background: var(--primary);
  }

.wrapper {
    display: grid;
  }
  
.container {
    background: var(--primary);
    margin: 0 175px;
    line-height: 1.4;
}

img {
    max-width: 100%;
  }

.btn-box{
    background: var(--green);
    text-decoration: none;
    
    display: block;
    text-transform: uppercase;
    color:var(--dark);
    padding: 0.7em;
    text-align: center;
    box-shadow: var(--shadow);
    margin-top: 1em;
}

.btn-box:hover{
    background:var(--darkgreen);
    color:var(--dark);
}


.navbar ul {
    display: grid;
    grid-gap: 20px;
    padding: 0;
    list-style: none;
    grid-template-columns: repeat(4, 1fr);
  }

.navbar a {
    background: var(--green);
    display: block;
    text-decoration: none;
    padding: 0.8rem;
    text-align: center;
    color: var(--dark);
    text-transform: uppercase;
    font-size: 1.2em;
    box-shadow: var(--shadow);
    font-weight: bolder;
  }

.navbar a:hover{
    background: var(--darkgreen);
    color: var(--dark);
  }

/* Footer */
footer{
    display:grid;
    line-height: 1.2rem;
    font-size: 1em;
    padding-top: 20px;
    background: rgb(1, 107, 1);
    color: lightgrey;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: auto;
    grid-template-areas:
        "block-left block-right"
        "copyright copyright";
}

.block-left {
    grid-area: block-left;
    text-align: left;
    justify-self: center;
}


.block-right {
    grid-area: block-right;
    text-align: left;
    justify-self: center;
}

.block-right a {
    text-decoration: none;
    color:lightgrey;
}

.copyright{
    grid-area: copyright;
    text-align: center;
    border-top: 1px solid lightgrey;
}

.fab{
    color: lightgrey;
}

@media screen and (max-width: 1024px){
    .container{
        margin: 0 50px;    
    }
    

    .boxes h3{
        font-size: 0.75em;
    }

    .boxes h4{
        font-size: 0.7em;
    }

    .btn-box{
        font-size: 0.7em;
        margin-top: 0.3em;
        margin-bottom: 0px;
    }   
    .box{
        grid-template-columns: 60% auto;
        
    }
}

@media screen and (max-width: 768px){

    .boxes {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: repeat(autofit, minmax(50, 1fr));
        
    }

    .navbar ul{
        grid-template-columns: 1fr;
    }

    .boxes H3, h5{
        font-size: 1.1em;
    }
.boxes h4{
    font-size: 1em;
}
.btn-box{
    font-size: 0.7em;
    margin-top: 0.3em;
    margin-bottom: 0px;
}       
}

@media screen and (max-width: 480px){
    .container{
        margin: 0 10px;
    }
    
    .boxes H3{
        font-size: 1em;
    }
    .boxes h4{
        font-size: 0.9em;
    }

    .boxes h5{
        font-size: 0.9em;
    }
.btn-box{
    font-size: 0.9em;
    margin-left:10px;
    margin-top: 0.3em;
    margin-bottom: 0px;
}

   

    .text{
        margin: 0 10px;
    }
    
    footer{
        grid-template-columns: 1fr;
        grid-template-areas: 
            "block-left"
            "block-right"
            "copyright";
    }

    .block-left, .block-right{
        padding-left: 15px;
    }
}

  

  